# frozen_string_literal: true

require 'rails_helper'
require 'webdrivers/chromedriver'
require 'action_dispatch/system_testing/server'

ActionDispatch::SystemTesting::Server.silence_puma = true

class ApplicationSystemTestCase < ActionDispatch::SystemTestCase
  driven_by :selenium, using: :headless_chrome do |options|
    options.add_argument('--disable-dev-shm-usage')
  end

  def sign_in(email: 'existing@example.com', password: '123xyz')
    visit(root_path)

    click_link('Sign in')

    fill_in('Email', with: email)
    fill_in('Password', with: password)

    click_button('Sign in')
  end
end
