# frozen_string_literal: true

class ApplicationController < ActionController::Base
  rescue_from(UserAction::UnauthorizedError) { redirect_to(new_session_path) }

  before_action :instantiate_action

  private

  def instantiate_action
    action_class = Upgrow::Actions[controller_name, action_name]
    @action = action_class.new(user_id: session[:user_id])
  end
end
