# frozen_string_literal: true

class CommentsController < ApplicationController
  def new
    @input = CommentInput.new(article_id: params[:article_id])
    @result = @action.perform
  end

  def create
    @input = CommentInput.new(
      comment_params.merge(article_id: params[:article_id],
user_id: session[:user_id])
    )

    @result = @action.perform(@input)

    if @result.success?
      redirect_to(
        article_path(@result.comment.article_id),
        notice: 'Comment was successfully created.'
      )
    else
      render(:new)
    end
  end

  def destroy
    @action.perform(params[:id])
    redirect_to(
      article_path(params[:article_id]),
      notice: 'Comment was successfully destroyed.'
    )
  end

  private

  # Only allow a list of trusted parameters through.
  def comment_params
    params.require(:comment_input).permit(:body)
  end
end
