# frozen_string_literal: true

class UsersController < ApplicationController
  def new
    @input = UserInput.new
    @result = @action.perform
  end

  def create
    @input = UserInput.new(user_params)

    @result = @action.perform(@input)

    if @result.success?
      reset_session
      session[:user_id] = @result.current_user.id
      redirect_to(root_path)
    else
      render(:new)
    end
  end

  private

  # Only allow a list of trusted parameters through.
  def user_params
    params.require(:user_input).permit(:email, :password)
  end
end
