# frozen_string_literal: true

class ArticleRepository < Upgrow::Repository
  def all
    to_model(base.all.includes(:user))
  end

  def find_with_comments(id)
    record = base
      .includes(:user)
      .includes(comments: :user)
      .find(id)

    to_model(record)
  end

  def find_for_user(id, user:)
    record = base.find_by(id: id, user_id: user.id)
    to_model(record)
  end
end
