# frozen_string_literal: true

require 'test_helper'

require 'upgrow/actions'
require 'upgrow/action'

class GlobalAction < Upgrow::Action
end

module Upgrow
  class NamespacedAction < Action
  end

  class ActionsTest < ActiveSupport::TestCase
    test '.[] returns the Action with the given global name' do
      assert_equal GlobalAction, Actions['global']
    end

    test '.[] returns the Action with the given namespaced name' do
      assert_equal NamespacedAction, Actions['upgrow', 'namespaced']
    end
  end
end
