# frozen_string_literal: true

require 'test_helper'

module Upgrow
  class BasicRepositoryTest < ActiveSupport::TestCase
    class UserRepository < BasicRepository; end

    setup do
      @original_base = UserRepository.base
      @repository = UserRepository.new
    end

    teardown do
      UserRepository.base = @original_base
    end

    test '.base is nil by default' do
      assert_nil UserRepository.base
    end

    test '.base can be set' do
      UserRepository.base = :my_base
      assert_equal :my_base, UserRepository.base
    end

    test '#base is inferred from the Repository class base' do
      UserRepository.base = :my_base
      assert_equal :my_base, UserRepository.new.base
    end
  end
end
