# frozen_string_literal: true

require 'test_helper'
require 'rails/generators/test_case'
require 'generators/upgrow/model/model_generator'

module Upgrow
  module Generators
    class ModelGeneratorTest < Rails::Generators::TestCase
      tests ModelGenerator
      destination File.expand_path('tmp')
      setup :prepare_destination

      test 'generate Model file' do
        run_generator(['article'])

        assert_file 'app/models/article.rb', <<~RUBY
          # frozen_string_literal: true

          class Article < ApplicationModel
          end
        RUBY
      end

      test 'generate namespaced Model file' do
        run_generator(['articles/article'])

        assert_file 'app/models/articles/article.rb', <<~RUBY
          # frozen_string_literal: true

          module Articles
            class Article < ApplicationModel
            end
          end
        RUBY
      end
    end
  end
end
