# frozen_string_literal: true

require 'test_helper'

require 'upgrow/naming'

module Upgrow
  class NamingTest < ActiveSupport::TestCase
    test '.record_to_model removes the Record suffix' do
      assert_equal 'Article', Naming.record_to_model('ArticleRecord')
    end

    test '.model_to_record adds the Record suffix' do
      assert_equal 'ArticleRecord', Naming.model_to_record('Article')
    end

    test '.repository_to_record removes the Repository suffix and adds the Record suffix' do
      assert_equal 'ArticleRecord',
        Naming.repository_to_record('ArticleRepository')
    end
  end
end
